# Uses of Interface
org.eclipse.swt.events.SegmentListener

Packages that use SegmentListener
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of SegmentListener in org.eclipse.jface.util

Classes in org.eclipse.jface.util that implement SegmentListener
Modifier and Type
Class
Description
`class`
`StructuredTextSegmentListener`
Segment listener that implements bidi-structured text reordering.
Methods in org.eclipse.jface.util that return SegmentListener
Modifier and Type
Method
Description
`static SegmentListener`
BidiUtils.`getSegmentListener(String handlingType)`
Returns a segment listener for the given `handlingType` that can e.g. be passed to `Text.addSegmentListener(SegmentListener)`.

## Uses of SegmentListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type SegmentListener
Modifier and Type
Method
Description
`void`
Combo.`addSegmentListener(SegmentListener listener)`
Adds a segment listener.
`void`
Text.`addSegmentListener(SegmentListener listener)`
Adds a segment listener.
`void`
Combo.`removeSegmentListener(SegmentListener listener)`
Removes the listener from the collection of listeners who will be notified when the receiver's text is modified.
`void`
Text.`removeSegmentListener(SegmentListener listener)`
Removes the listener from the collection of listeners who will be notified when the receiver's text is modified.